Subject: [bug#69932] [PATCH] gnu: shellutils: Add process-compose 0.88.0.

From: Dale Mellor <[email-masked]>
Date: Sat, 06 Apr 2024 20:00:42 +0100

Hello,

   you need to understand that Guix can only take scrutable source as its
inputs, so that it can build binaries with a known specific build
infrastructure; all of this information needs to be available so that hashes can
be computed for the package which are tamper-evident and anyone must be able to
reproduce the exact hash under the same conditions, if they wish it, for their
own peace of mind.

   Thus this trivial-build dump-from-tarbomb approach cannot be accepted; the
package should be pulled directly from its GIT repository, and full build
instructions need to be provided to the Guix package management system.

   Please look at how other Go-sourced packages are done for some inspiration.

Thank you.